
From: Andy Whitcroft <apw@shadowen.org>

We are not using the right offset name, nor the right address when checking
for a non-zero preempt count.  Move to TI_preempt_count(%ebp).

Signed-off-by: Andy Whitcroft <apw@shadowen.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/entry.S |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/entry.S~fix-trap_bad_syscall_exits-on-i386 arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~fix-trap_bad_syscall_exits-on-i386	Fri Jul  2 16:17:12 2004
+++ 25-akpm/arch/i386/kernel/entry.S	Fri Jul  2 16:17:12 2004
@@ -314,7 +314,7 @@ restore_all:
 	testl $(VM_MASK | 3), %eax
 	jz resume_kernelX		# returning to kernel or vm86-space
 
-	cmpl $0,TI_PRE_COUNT(%ebx)	# non-zero preempt_count ?
+	cmpl $0,TI_preempt_count(%ebp)  # non-zero preempt_count ?
 	jz resume_kernelX
 
         int $3
_
